openapi: 3.0.0
info:
  title: Video Creatives
  description: >-
    To work with the MediaMath API with Video Creatives, first generate an
    [authentication
    token](https://mediamath.stoplight.io/docs/api/ZG9jOjIzOTI1MDgx-authentication).


    To list all video creatives in your account, use the [atomic creatives
    endpoint](https://mediamath.stoplight.io/docs/api/b3A6MzIzMzI5OTU-list-all-video-creatives).


    For more information on Video Creatives, please see the [Video/VPAID
    formats](https://mediamathsupport.force.com/s/article/Video-and-VPAID-creatives-What-formats-are-supported-in-TerminalOne)
    and [The MediaMath Platform Video/Audio
    tab](https://mediamathsupport.force.com/s/article/Video-Audio-Tab) and
    [Video
    specs](https://mediamathsupport.force.com/s/article/Video-specifications). 


    *Example HTTPie command to list all video creatives.*

    `http GET
    https://t1.mediamath.com/api/v2.0/atomic_creatives?q==media_type==video`
  contact:
    name: API Support
    url: https://www.mediamath.com/contact-us/
    email: support@mediamath.com
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: v1.0
paths:
  /video/v2.0/creatives/{video_id}/companions:
    get:
      tags:
        - Video Creative Management
      summary: Get Video Creative Companions
      description: Get Video Creative Companions
      operationId: GET_video-v2-0-creatives-video_id-companions
      parameters:
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
    post:
      tags:
        - Video Creative Management
      summary: Create Video Creative Companions
      description: Create Video Creative Companions
      operationId: POST_video-v2-0-creatives-video_id-companions
      parameters:
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/POST_video-v2-0-creatives-video_id-companionsBody
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /api/v2.0/atomic_creatives:
    get:
      tags:
        - Video Creative Management
      summary: List All Video Creatives
      description: List All Video Creatives
      operationId: GET_api-v2-0-atomic_creatives
      parameters:
        - name: with
          in: query
          description: _
          schema:
            type: string
        - name: sort_by
          in: query
          description: _
          schema:
            type: string
        - name: q
          in: query
          description: _
          schema:
            type: string
        - name: page_offset
          in: query
          description: _
          schema:
            type: integer
        - name: page_limit
          in: query
          description: _
          schema:
            type: integer
        - name: full
          in: query
          description: _
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/POST_video-v2-0-creatives-video_id-companionsBody
      responses:
        '200':
          description: ''
          content:
            application/vnd.mediamath.v1+json:
              examples:
                response:
                  value:
                    data:
                      - ad_format: DISPLAY
                        advertiser_id: 214138
                        approval_status: APPROVED
                        built: false
                        built_by_user_id: 26802
                        concept_id: 2502131
                        created_on: 2019-12-16T14:58:42+0000
                        entity_type: atomic_creative
                        expansion_direction: NONRESTRICTED
                        expansion_trigger: MOUSEOVER
                        external_identifier: STUB
                        file_type: vast
                        has_sound: false
                        height: 0
                        id: 7445826
                        is_https: true
                        is_mraid: false
                        is_multi_creative: false
                        last_modified: 2019-12-16T14:58:45+0000
                        last_payload_modified: 2019-12-16T14:58:44+0000
                        media_type: video
                        name: testvpaid
                        rich_media: false
                        sizmek_creative_status: NOT_USED
                        sizmek_tag_status: NOT_USED
                        status: true
                        t1as: false
                        tag: <div>DUMMY_VAST</div>
                        tag_type: SCRIPT_NOSCRIPT
                        tpas_ad_tag_name: unknown.stub
                        updated_on: 2019-12-16T14:58:45+0000
                        vast_version: 2
                        version: 2
                        width: 0
                      - ad_format: DISPLAY
                        advertiser_id: 214138
                        approval_status: APPROVED
                        built: false
                        built_by_user_id: 26802
                        concept_id: 2502139
                        created_on: 2019-12-16T15:03:12+0000
                        entity_type: atomic_creative
                        expansion_direction: NONRESTRICTED
                        expansion_trigger: MOUSEOVER
                        external_identifier: STUB
                        file_type: vast
                        has_sound: false
                        height: 0
                        id: 7445839
                        is_https: true
                        is_mraid: false
                        is_multi_creative: false
                        last_modified: 2019-12-16T15:03:14+0000
                        last_payload_modified: 2019-12-16T15:03:13+0000
                        media_type: video
                        name: test_vpaid_3
                        rich_media: false
                        sizmek_creative_status: NOT_USED
                        sizmek_tag_status: NOT_USED
                        status: true
                        t1as: false
                        tag: <div>DUMMY_VAST</div>
                        tag_type: SCRIPT_NOSCRIPT
                        tpas_ad_tag_name: unknown.stub
                        updated_on: 2019-12-16T15:03:14+0000
                        vast_version: 2
                        version: 2
                        width: 0
                    meta:
                      called_on: 2019-12-16T17:13:37+0000
                      count: 2
                      etag: 9d7da947e480db19bc565372471a4463788dda12
                      next_page: >-
                        https://api.mediamath.com/api/v2.0/atomic_creatives?full=*&page_limit=2&page_offset=2
                      offset: 0
                      status: ok
                      total_count: 63004
                    uuid: 65D510FE-2027-11EA-B7C6-43D7668E900B
        '404':
          description: ''
        '503':
          description: ''
  /static_data/v1.0/iab_attributes:
    get:
      tags:
        - IAB
      summary: Get IAB Attributes List
      description: Get IAB Attributes List
      operationId: GET_static_data-v1-0-iab_attributes
      responses:
        '200':
          description: ''
          content:
            text/plain:
              examples:
                response:
                  value:
                    - id: 101
                      name: Rotating Advertisers
                      parent: 0
                      children: []
                    - id: 10
                      name: Shaky, Flashing, Flickering, Extreme Animation, Smileys
                      parent: 0
                      children: []
                    - id: 14
                      name: Windows Dialog or Alert Style
                      parent: 0
                      children: []
                    - id: 6
                      name: In-Banner Video Ad (Auto Play)
                      parent: 0
                      children: []
                    - id: 102
                      name: 'Animated: between 0 and 15 seconds'
                      parent: 0
                      children: []
                    - id: 9
                      name: Provocative or Suggestive Imagery
                      parent: 0
                      children: []
                    - id: 13
                      name: User Interactive (e.g., Embedded Games)
                      parent: 0
                      children: []
                    - id: 2
                      name: Audio Ad (User Initiated)
                      parent: 0
                      children: []
                    - id: 12
                      name: Text Only
                      parent: 0
                      children: []
                    - id: 7
                      name: In-Banner Video Ad (User Initiated)
                      parent: 0
                      children: []
                    - id: 103
                      name: 'Animated: between 15 and 30 seconds'
                      parent: 0
                      children: []
                    - id: 16
                      name: Ad can be skipped (e.g., skip button on preroll video)
                      parent: 0
                      children: []
                    - id: 11
                      name: Surveys
                      parent: 0
                      children: []
                    - id: 104
                      name: 'Animated: more than 30 seconds'
                      parent: 0
                      children: []
                    - id: 8
                      name: Pop (e.g., Over, Under, or upon Exit)
                      parent: 0
                      children: []
                    - id: 999
                      name: None Apply
                      parent: 0
                      children: []
                    - id: 15
                      name: Has audio on/off button
                      parent: 0
                      children: []
                    - id: 100
                      name: Auto redirect
                      parent: 0
                      children: []
  /classification/v1.0/{creative_id}/inflate:
    get:
      tags:
        - Classification
      summary: Get Inflated Classification
      description: Get Inflated Classification
      operationId: GET_classification-v1-0-creative_id-inflate
      parameters:
        - name: creative_id
          in: path
          description: Creative ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
  /video/v2.0/creatives/{video_id}/upload:
    post:
      tags:
        - Video Creative Management
      summary: Upload Video Creative
      description: Upload Video Creative
      operationId: POST_video-v2-0-creatives-video_id-upload
      parameters:
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: integer
      requestBody:
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                key:
                  description: _
                  type: string
                file:
                  description: _
                  type: string
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /video/v2.0/creatives/{video_id}:
    get:
      tags:
        - Video Creative Management
      summary: Get Video Creative
      description: Get Video Creative
      operationId: GET_video-v2-0-creatives-video_id
      parameters:
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
    post:
      tags:
        - Video Creative Management
      summary: Update Video Creative
      description: Update Video Creative
      operationId: POST_video-v2-0-creatives-video_id
      parameters:
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /video/v2.0/creatives/{video_id}/variants:
    get:
      tags:
        - Video Creative Management
      summary: Get Video Creative Variants
      description: >-
        Get all encoded video variants for the creative, including asset path
        and video info.
      operationId: GET_video-v2-0-creatives-video_id-variants
      parameters:
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /video/v2.0/creatives/{video_id}/variants/{variant_id}:
    get:
      tags:
        - Video Creative Management
      summary: Get Video Creative Variant
      description: Get Video Creative Variant
      operationId: GET_video-v2-0-creatives-video_id-variants-variant_id
      parameters:
        - name: variant_id
          in: path
          description: Variant ID
          required: true
          schema:
            type: string
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /video/v2.0/creatives/{video_id}/status:
    get:
      tags:
        - Video Creative Management
      summary: Get Video Creative Status
      description: Get Video Creative Status
      operationId: GET_video-v2-0-creatives-video_id-status
      parameters:
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /classification/v1.0/bulk/{creative_ids}/inflate:
    get:
      tags:
        - Classification
      summary: Bulk Inflated Classification
      description: >-
        The bulk classification endpoints are useful for batch retrieval and
        editting of a group of existing creatives.
      operationId: GET_classification-v1-0-bulk-creative_ids-inflate
      parameters:
        - name: creative_ids
          in: path
          description: A comma separated list of integers, e.g. 1,243,351,41932.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
  /video/v2.0/creatives/{video_id}/companions/{companion_id}/delete:
    get:
      tags:
        - Video Creative Management
      summary: Delete Video Creative Companion
      description: Delete Video Creative Companion
      operationId: GET_video-v2-0-creatives-video_id-companions-companion_id-delete
      parameters:
        - name: companion_id
          in: path
          description: Companion ID
          required: true
          schema:
            type: string
        - name: video_id
          in: path
          description: Video ID
          required: true
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/POST_video-v2-0-creatives-video_id-companionsBody
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /static_data/v1.0/language/{language_id}:
    get:
      tags:
        - IAB
      summary: Get IAB Language
      description: Get IAB Language
      operationId: GET_static_data-v1-0-language-language_id
      parameters:
        - name: language_id
          in: path
          description: Language ID
          required: true
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/POST_video-v2-0-creatives-video_id-companionsBody
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                response:
                  value:
                    alpha2: en
                    bibliographic: eng
                    id: 1
                    name: English
                    nameFr: anglais
                    terminologic: ''
  /classification/v1.0/bulk/{creative_ids}:
    get:
      tags:
        - Classification
      summary: Bulk Classification
      description: >-
        The bulk classification endpoints are useful for batch retrieval and
        editting of a group of existing creatives.
      operationId: GET_classification-v1-0-bulk-creative_ids
      parameters:
        - name: creative_ids
          in: path
          description: |
            A comma separated list of integers, e.g. 1,243,351,41932.
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
  /static_data/v1.0/iab_verticals:
    get:
      tags:
        - IAB
      summary: List IAB Verticals
      description: List IAB Verticals
      operationId: GET_static_data-v1-0-iab_verticals
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                response:
                  value:
                    - children:
                        - 215
                        - 216
                        - 217
                        - 218
                        - 219
                        - 220
                        - 221
                        - 222
                      code: IAB14
                      description: Society
                      id: 214
                      parent: 0
                    - children:
                        - 224
                        - 225
                        - 226
                        - 227
                        - 228
                        - 229
                        - 230
                        - 231
                        - 232
                        - 233
                      code: IAB15
                      description: Science
                      id: 223
                      parent: 0
                    - children:
                        - 235
                        - 236
                        - 237
                        - 238
                        - 239
                        - 240
                        - 241
                      code: IAB16
                      description: Pets
                      id: 234
                      parent: 0
                    - children: []
                      code: IAB13-2
                      description: Credit/Debt & Loans
                      id: 203
                      parent: 201
                    - children: []
                      code: IAB13-3
                      description: Financial News
                      id: 204
                      parent: 201
                    - children: []
                      code: IAB13-4
                      description: Financial Planning
                      id: 205
                      parent: 201
                    - children: []
                      code: IAB13-5
                      description: Hedge Fund
                      id: 206
                      parent: 201
                    - children: []
                      code: IAB13-6
                      description: Insurance
                      id: 207
                      parent: 201
                    - children: []
                      code: IAB13-7
                      description: Investing
                      id: 208
                      parent: 201
                    - children: []
                      code: IAB13-8
                      description: Mutual Funds
                      id: 209
                      parent: 201
                    - children: []
                      code: IAB14-1
                      description: Dating
                      id: 215
                      parent: 214
                    - children: []
                      code: IAB14-2
                      description: Divorce Support
                      id: 216
                      parent: 214
                    - children: []
                      code: IAB14-3
                      description: Gay Life
                      id: 217
                      parent: 214
                    - children: []
                      code: IAB14-4
                      description: Marriage
                      id: 218
                      parent: 214
                    - children: []
                      code: IAB14-5
                      description: Senior Living
                      id: 219
                      parent: 214
                    - children: []
                      code: IAB14-6
                      description: Teens
                      id: 220
                      parent: 214
                    - children: []
                      code: IAB14-7
                      description: Weddings
                      id: 221
                      parent: 214
                    - children: []
                      code: IAB14-8
                      description: Ethnic Specific
                      id: 222
                      parent: 214
                    - children: []
                      code: IAB15-1
                      description: Astrology
                      id: 224
                      parent: 223
                    - children: []
                      code: IAB15-10
                      description: Weather
                      id: 233
                      parent: 223
                    - children: []
                      code: IAB15-2
                      description: Biology
                      id: 225
                      parent: 223
                    - children: []
                      code: IAB15-3
                      description: Chemistry
                      id: 226
                      parent: 223
                    - children: []
                      code: IAB15-4
                      description: Geology
                      id: 227
                      parent: 223
                    - children: []
                      code: IAB15-5
                      description: Paranormal Phenomena
                      id: 228
                      parent: 223
                    - children: []
                      code: IAB15-6
                      description: Physics
                      id: 229
                      parent: 223
                    - children: []
                      code: IAB15-7
                      description: Space/Astronomy
                      id: 230
                      parent: 223
                    - children: []
                      code: IAB15-8
                      description: Geography
                      id: 231
                      parent: 223
                    - children: []
                      code: IAB15-9
                      description: Botany
                      id: 232
                      parent: 223
                    - children: []
                      code: IAB16-1
                      description: Aquariums
                      id: 235
                      parent: 234
                    - children: []
                      code: IAB16-2
                      description: Birds
                      id: 236
                      parent: 234
                    - children: []
                      code: IAB16-3
                      description: Cats
                      id: 237
                      parent: 234
                    - children: []
                      code: IAB16-4
                      description: Dogs
                      id: 238
                      parent: 234
                    - children: []
                      code: IAB16-5
                      description: Large Animals
                      id: 239
                      parent: 234
                    - children: []
                      code: IAB16-6
                      description: Reptiles
                      id: 240
                      parent: 234
                    - children: []
                      code: IAB16-7
                      description: Veterinary Medicine
                      id: 241
                      parent: 234
                    - children: []
                      code: IAB17-1
                      description: Auto Racing
                      id: 243
                      parent: 242
                    - children: []
                      code: IAB17-10
                      description: Figure Skating
                      id: 252
                      parent: 242
                    - children: []
                      code: IAB17-11
                      description: Fly Fishing
                      id: 253
                      parent: 242
                    - children: []
                      code: IAB17-12
                      description: Football
                      id: 254
                      parent: 242
                    - children: []
                      code: IAB17-13
                      description: Freshwater Fishing
                      id: 255
                      parent: 242
                    - children: []
                      code: IAB17-14
                      description: Game & Fish
                      id: 256
                      parent: 242
                    - children: []
                      code: IAB17-15
                      description: Golf
                      id: 257
                      parent: 242
                    - children: []
                      code: IAB17-16
                      description: Horse Racing
                      id: 258
                      parent: 242
                    - children: []
                      code: IAB17-17
                      description: Horses
                      id: 259
                      parent: 242
                    - children: []
                      code: IAB17-18
                      description: Hunting/Shooting
                      id: 260
                      parent: 242
                    - children: []
                      code: IAB4-3
                      description: Financial Aid
                      id: 49
                      parent: 46
                    - children: []
                      code: IAB4-4
                      description: Job Fairs
                      id: 50
                      parent: 46
                    - children: []
                      code: IAB4-5
                      description: Job Search
                      id: 51
                      parent: 46
                    - children: []
                      code: IAB4-6
                      description: Resume Writing/Advice
                      id: 52
                      parent: 46
                    - children: []
                      code: IAB6-1
                      description: Adoption
                      id: 75
                      parent: 74
                    - children: []
                      code: IAB6-2
                      description: Babies & Toddlers
                      id: 76
                      parent: 74
                    - children: []
                      code: IAB6-3
                      description: Daycare/Pre School
                      id: 77
                      parent: 74
                    - children: []
                      code: IAB6-4
                      description: Family Internet
                      id: 78
                      parent: 74
                    - children: []
                      code: IAB6-5
                      description: Parenting - K-6 Kids
                      id: 79
                      parent: 74
                    - children: []
                      code: IAB6-9
                      description: Eldercare
                      id: 83
                      parent: 74
                    - children: []
                      code: IAB7-1
                      description: Exercise
                      id: 85
                      parent: 84
                    - children: []
                      code: IAB7-10
                      description: Brain Tumor
                      id: 94
                      parent: 84
                    - children: []
                      code: IAB7-11
                      description: Cancer
                      id: 95
                      parent: 84
                    - children: []
                      code: IAB7-12
                      description: Cholesterol
                      id: 96
                      parent: 84
                    - children: []
                      code: IAB7-20
                      description: Diabetes
                      id: 104
                      parent: 84
                    - children: []
                      code: IAB7-21
                      description: Epilepsy
                      id: 105
                      parent: 84
                    - children: []
                      code: IAB7-22
                      description: GERD/Acid Reflux
                      id: 106
                      parent: 84
                    - children: []
                      code: IAB7-23
                      description: Headaches/Migraines
                      id: 107
                      parent: 84
                    - children: []
                      code: IAB7-24
                      description: Heart Disease
                      id: 108
                      parent: 84
                    - children: []
                      code: IAB7-25
                      description: Herbs for Health
                      id: 109
                      parent: 84
                    - children: []
                      code: IAB8-2
                      description: Barbecues & Grilling
                      id: 132
                      parent: 130
                    - children: []
                      code: IAB8-3
                      description: Cajun/Creole
                      id: 133
                      parent: 130
                    - children: []
                      code: IAB8-4
                      description: Chinese Cuisine
                      id: 134
                      parent: 130
                    - children: []
                      code: IAB8-5
                      description: Cocktails/Beer
                      id: 135
                      parent: 130
                    - children: []
                      code: IAB8-6
                      description: Coffee/Tea
                      id: 136
                      parent: 130
                    - children: []
                      code: IAB8-7
                      description: Cuisine-Specific
                      id: 137
                      parent: 130
                    - children: []
                      code: IAB8-8
                      description: Desserts & Baking
                      id: 138
                      parent: 130
                    - children: []
                      code: IAB8-9
                      description: Dining Out
                      id: 139
                      parent: 130
                    - children: []
                      code: IAB9-1
                      description: Art/Technology
                      id: 150
                      parent: 149
                    - children: []
                      code: IAB9-22
                      description: Painting
                      id: 171
                      parent: 149
                    - children: []
                      code: IAB9-23
                      description: Photography
                      id: 172
                      parent: 149
                    - children: []
                      code: IAB9-24
                      description: Radio
                      id: 173
                      parent: 149
                    - children: []
                      code: IAB9-25
                      description: Roleplaying Games
                      id: 174
                      parent: 149
                    - children: []
                      code: IAB9-26
                      description: Sci-Fi & Fantasy
                      id: 175
                      parent: 149
                    - children: []
                      code: IAB9-27
                      description: Scrapbooking
                      id: 176
                      parent: 149
                    - children: []
                      code: IAB9-28
                      description: Screenwriting
                      id: 177
                      parent: 149
                    - children: []
                      code: IAB9-29
                      description: Stamps & Coins
                      id: 178
                      parent: 149
                    - children: []
                      code: IAB9-3
                      description: Beadwork
                      id: 152
                      parent: 149
                    - children: []
                      code: IAB9-30
                      description: Video & Computer Games
                      id: 179
                      parent: 149
                    - children: []
                      code: IAB9-31
                      description: Woodworking
                      id: 180
                      parent: 149
                    - children: []
                      code: IAB9-4
                      description: Birdwatching
                      id: 153
                      parent: 149
                    - children: []
                      code: IAB9-5
                      description: Board Games/Puzzles
                      id: 154
                      parent: 149
                    - children: []
                      code: IAB9-6
                      description: Candle & Soap Making
                      id: 155
                      parent: 149
                    - children: []
                      code: IAB9-7
                      description: Card Games
                      id: 156
                      parent: 149
                    - children: []
                      code: IAB9-8
                      description: Chess
                      id: 157
                      parent: 149
                    - children: []
                      code: IAB9-9
                      description: Cigars
                      id: 158
                      parent: 149
  /classification/v1.0/bulk:
    post:
      tags:
        - Classification
      summary: Bulk Update Classification
      description: >-
        Prior to creating or updating the classification record of any creative,
        those creatives must exist.


        Unlike in the single creative classifiction, no creative IDs are passed
        in the url itself.
      operationId: POST_classification-v1-0-bulk
      requestBody:
        $ref: >-
          #/components/requestBodies/POST_video-v2-0-creatives-video_id-companionsBody
      responses:
        '200':
          description: ''
          content:
            example-1:
              examples:
                response:
                  value:
                    records:
                      - atomic_creative_id: 0
                        details:
                          attributes:
                            - {}
                          language: 0
                          verticals:
                            - {}
  /video/v2.0/creatives/validateVAST:
    post:
      tags:
        - Video Creative Management
      summary: Validate VAST XML
      description: Validate VAST XML
      operationId: POST_video-v2-0-creatives-validateVAST
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /static_data/v1.0/iab_verticals/{vertical_id}:
    get:
      tags:
        - IAB
      summary: Get IAB Vertical
      description: Get IAB Vertical
      operationId: GET_static_data-v1-0-iab_verticals-vertical_id
      parameters:
        - name: vertical_id
          in: path
          description: Vertical ID
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                response:
                  value:
                    children: []
                    code: IAB22-2
                    description: Couponing
                    id: 365
                    parent: 363
  /video/v2.0/creatives:
    post:
      tags:
        - Video Creative Management
      summary: Create Video Creative
      description: Create Video Creative
      operationId: POST_video-v2-0-creatives
      requestBody:
        $ref: >-
          #/components/requestBodies/POST_video-v2-0-creatives-video_id-companionsBody
      responses:
        '201':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /classification/v1.0/{creative_id}:
    post:
      tags:
        - Classification
      summary: Update Classification
      description: Update Classification
      operationId: POST_classification-v1-0-creative_id
      parameters:
        - name: creative_id
          in: path
          description: Creative ID
          required: true
          schema:
            type: string
      requestBody:
        $ref: >-
          #/components/requestBodies/POST_video-v2-0-creatives-video_id-companionsBody
      responses:
        '200':
          description: ''
          content:
            example-1:
              examples:
                response:
                  value:
                    attributes:
                      - 0
                    language: 0
                    verticals:
                      - 0
    get:
      tags:
        - Classification
      summary: Get Classification
      description: Get Classification
      operationId: GET_classification-v1-0-creative_id
      parameters:
        - name: creative_id
          in: path
          description: Creative ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                response:
                  value:
                    status:
                      code: auth_required
                      reason: not_logged_in
                      message: failed parsing session from request
  /static_data/v1.0/language:
    get:
      tags:
        - IAB
      summary: List IAB Languages
      description: List IAB Languages
      operationId: GET_static_data-v1-0-language
      responses:
        '200':
          description: ''
          content:
            text/plain:
              examples:
                response:
                  value:
                    - alpha2: ''
                      bibliographic: awa
                      id: 36
                      name: Awadhi
                      nameFr: awadhi
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: bho
                      id: 53
                      name: Bhojpuri
                      nameFr: bhojpuri
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: ceb
                      id: 74
                      name: Cebuano
                      nameFr: cebuano
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: hil
                      id: 175
                      name: Hiligaynon
                      nameFr: hiligaynon
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: hmn
                      id: 179
                      name: Hmong
                      nameFr: hmong
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: kok
                      id: 228
                      name: Konkani
                      nameFr: konkani
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: mad
                      id: 263
                      name: Madurese
                      nameFr: madourais
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: mag
                      id: 264
                      name: Magahi
                      nameFr: magahi
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: mai
                      id: 266
                      name: Maithili
                      nameFr: maithili
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: mos
                      id: 290
                      name: Mossi
                      nameFr: moré
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: mwr
                      id: 295
                      name: Marwari
                      nameFr: marvari
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: sms
                      id: 393
                      name: Skolt Sami
                      nameFr: sami skolt
                      terminologic: ''
                    - alpha2: ''
                      bibliographic: tmh
                      id: 434
                      name: Tamashek
                      nameFr: tamacheq
                      terminologic: ''
                    - alpha2: ak
                      bibliographic: aka
                      id: 12
                      name: Akan
                      nameFr: akan
                      terminologic: ''
                    - alpha2: am
                      bibliographic: amh
                      id: 18
                      name: Amharic
                      nameFr: amharique
                      terminologic: ''
                    - alpha2: ar
                      bibliographic: ara
                      id: 22
                      name: Arabic
                      nameFr: arabe
                      terminologic: ''
                    - alpha2: as
                      bibliographic: asm
                      id: 30
                      name: Assamese
                      nameFr: assamais
                      terminologic: ''
                    - alpha2: az
                      bibliographic: aze
                      id: 38
                      name: Azerbaijani
                      nameFr: azéri
                      terminologic: ''
                    - alpha2: be
                      bibliographic: bel
                      id: 49
                      name: Belarusian
                      nameFr: biélorusse
                      terminologic: ''
                    - alpha2: bn
                      bibliographic: ben
                      id: 51
                      name: Bengali
                      nameFr: bengali
                      terminologic: ''
                    - alpha2: cs
                      bibliographic: cze
                      id: 102
                      name: Czech
                      nameFr: tchèque
                      terminologic: ces
                    - alpha2: de
                      bibliographic: ger
                      id: 150
                      name: German
                      nameFr: allemand
                      terminologic: deu
                    - alpha2: el
                      bibliographic: gre
                      id: 164
                      name: Greek
                      nameFr: grec
                      terminologic: ell
                    - alpha2: en
                      bibliographic: eng
                      id: 1
                      name: English
                      nameFr: anglais
                      terminologic: ''
                    - alpha2: es
                      bibliographic: spa
                      id: 401
                      name: Spanish; Castilian
                      nameFr: espagnol; castillan
                      terminologic: ''
                    - alpha2: fa
                      bibliographic: per
                      id: 342
                      name: Persian
                      nameFr: persan
                      terminologic: fas
                    - alpha2: ff
                      bibliographic: ful
                      id: 143
                      name: Fulah
                      nameFr: peul
                      terminologic: ''
                    - alpha2: fr
                      bibliographic: fre
                      id: 137
                      name: French
                      nameFr: français
                      terminologic: fra
                    - alpha2: gu
                      bibliographic: guj
                      id: 167
                      name: Gujarati
                      nameFr: goudjrati
                      terminologic: ''
                    - alpha2: ha
                      bibliographic: hau
                      id: 171
                      name: Hausa
                      nameFr: haoussa
                      terminologic: ''
                    - alpha2: hi
                      bibliographic: hin
                      id: 177
                      name: Hindi
                      nameFr: hindi
                      terminologic: ''
                    - alpha2: ht
                      bibliographic: hat
                      id: 170
                      name: Haitian Creole
                      nameFr: créole haïtien
                      terminologic: ''
                    - alpha2: hu
                      bibliographic: hun
                      id: 183
                      name: Hungarian
                      nameFr: hongrois
                      terminologic: ''
                    - alpha2: ig
                      bibliographic: ibo
                      id: 186
                      name: Igbo
                      nameFr: igbo
                      terminologic: ''
                    - alpha2: it
                      bibliographic: ita
                      id: 202
                      name: Italian
                      nameFr: italien
                      terminologic: ''
                    - alpha2: ja
                      bibliographic: jpn
                      id: 205
                      name: Japanese
                      nameFr: japonais
                      terminologic: ''
                    - alpha2: jv
                      bibliographic: jav
                      id: 203
                      name: Javanese
                      nameFr: javanais
                      terminologic: ''
                    - alpha2: kk
                      bibliographic: kaz
                      id: 218
                      name: Kazakh
                      nameFr: kazakh
                      terminologic: ''
                    - alpha2: km
                      bibliographic: khm
                      id: 222
                      name: Central Khmer
                      nameFr: khmer central
                      terminologic: ''
                    - alpha2: kn
                      bibliographic: kan
                      id: 213
                      name: Kannada
                      nameFr: kannada
                      terminologic: ''
                    - alpha2: ko
                      bibliographic: kor
                      id: 231
                      name: Korean
                      nameFr: coréen
                      terminologic: ''
                    - alpha2: ku
                      bibliographic: kur
                      id: 240
                      name: Kurdish
                      nameFr: kurde
                      terminologic: ''
                    - alpha2: mg
                      bibliographic: mlg
                      id: 283
                      name: Malagasy
                      nameFr: malgache
                      terminologic: ''
                    - alpha2: ml
                      bibliographic: mal
                      id: 268
                      name: Malayalam
                      nameFr: malayalam
                      terminologic: ''
                    - alpha2: mr
                      bibliographic: mar
                      id: 272
                      name: Marathi
                      nameFr: marathe
                      terminologic: ''
                    - alpha2: ms
                      bibliographic: may
                      id: 274
                      name: Malay
                      nameFr: malais
                      terminologic: msa
                    - alpha2: my
                      bibliographic: bur
                      id: 67
                      name: Burmese
                      nameFr: birman
                      terminologic: mya
                    - alpha2: ne
                      bibliographic: nep
                      id: 307
                      name: Nepali
                      nameFr: népalais
                      terminologic: ''
                    - alpha2: nl
                      bibliographic: dut
                      id: 117
                      name: Dutch
                      nameFr: néerlandais
                      terminologic: nld
                    - alpha2: ny
                      bibliographic: nya
                      id: 321
                      name: Chewa
                      nameFr: chewa
                      terminologic: ''
                    - alpha2: om
                      bibliographic: orm
                      id: 329
                      name: Oromo
                      nameFr: galla
                      terminologic: ''
                    - alpha2: or
                      bibliographic: ori
                      id: 328
                      name: Oriya
                      nameFr: oriya
                      terminologic: ''
                    - alpha2: pa
                      bibliographic: pan
                      id: 338
                      name: Punjabi
                      nameFr: pendjabi
                      terminologic: ''
                    - alpha2: pl
                      bibliographic: pol
                      id: 346
                      name: Polish
                      nameFr: polonais
                      terminologic: ''
                    - alpha2: ps
                      bibliographic: pus
                      id: 351
                      name: Pashto
                      nameFr: pachto
                      terminologic: ''
                    - alpha2: pt
                      bibliographic: por
                      id: 348
                      name: Portuguese
                      nameFr: portugais
                      terminologic: ''
                    - alpha2: qu
                      bibliographic: que
                      id: 353
                      name: Quechua
                      nameFr: quechua
                      terminologic: ''
                    - alpha2: ro
                      bibliographic: rum
                      id: 360
                      name: Romanian
                      nameFr: roumain
                      terminologic: ron
                    - alpha2: ru
                      bibliographic: rus
                      id: 363
                      name: Russian
                      nameFr: russe
                      terminologic: ''
                    - alpha2: rw
                      bibliographic: kin
                      id: 225
                      name: Kinyarwanda
                      nameFr: rwanda
                      terminologic: ''
                    - alpha2: sd
                      bibliographic: snd
                      id: 395
                      name: Sindhi
                      nameFr: sindhi
                      terminologic: ''
                    - alpha2: si
                      bibliographic: sin
                      id: 381
                      name: Sinhala; Sinhalese
                      nameFr: singhalais
                      terminologic: ''
                    - alpha2: sn
                      bibliographic: sna
                      id: 394
                      name: Shona
                      nameFr: shona
                      terminologic: ''
                    - alpha2: so
                      bibliographic: som
                      id: 398
                      name: Somali
                      nameFr: somali
                      terminologic: ''
                    - alpha2: su
                      bibliographic: sun
                      id: 409
                      name: Sundanese
                      nameFr: soundanais
                      terminologic: ''
                    - alpha2: sv
                      bibliographic: swe
                      id: 413
                      name: Swedish
                      nameFr: suédois
                      terminologic: ''
                    - alpha2: ta
                      bibliographic: tam
                      id: 418
                      name: Tamil
                      nameFr: tamoul
                      terminologic: ''
                    - alpha2: te
                      bibliographic: tel
                      id: 420
                      name: Telugu
                      nameFr: télougou
                      terminologic: ''
                    - alpha2: th
                      bibliographic: tha
                      id: 426
                      name: Thai
                      nameFr: thaï
                      terminologic: ''
                    - alpha2: tk
                      bibliographic: tuk
                      id: 441
                      name: Turkmen
                      nameFr: turkmène
                      terminologic: ''
                    - alpha2: tl
                      bibliographic: tgl
                      id: 425
                      name: Tagalog
                      nameFr: tagalog
                      terminologic: ''
                    - alpha2: tr
                      bibliographic: tur
                      id: 444
                      name: Turkish
                      nameFr: turc
                      terminologic: ''
                    - alpha2: ug
                      bibliographic: uig
                      id: 451
                      name: Uyghur
                      nameFr: ouïgour
                      terminologic: ''
                    - alpha2: uk
                      bibliographic: ukr
                      id: 452
                      name: Ukrainian
                      nameFr: ukrainien
                      terminologic: ''
                    - alpha2: ur
                      bibliographic: urd
                      id: 455
                      name: Urdu
                      nameFr: ourdou
                      terminologic: ''
                    - alpha2: uz
                      bibliographic: uzb
                      id: 456
                      name: Uzbek
                      nameFr: ouszbek
                      terminologic: ''
                    - alpha2: vi
                      bibliographic: vie
                      id: 459
                      name: Vietnamese
                      nameFr: vietnamien
                      terminologic: ''
                    - alpha2: xh
                      bibliographic: xho
                      id: 471
                      name: Xhosa
                      nameFr: xhosa
                      terminologic: ''
                    - alpha2: yo
                      bibliographic: yor
                      id: 475
                      name: Yoruba
                      nameFr: yoruba
                      terminologic: ''
                    - alpha2: za
                      bibliographic: zha
                      id: 481
                      name: Zhuang
                      nameFr: zhuang
                      terminologic: ''
                    - alpha2: zh
                      bibliographic: chi
                      id: 80
                      name: Chinese
                      nameFr: chinois
                      terminologic: zho
                    - alpha2: zu
                      bibliographic: zul
                      id: 483
                      name: Zulu
                      nameFr: zoulou
                      terminologic: ''
  /api/v2.0/atomic_creatives/{atomic_creative_id}:
    get:
      tags:
        - Video Creative Management
      summary: Display a Specific Video Creative
      description: Display a Specific Video Creative
      operationId: Display-a-Video-Creative
      parameters:
        - name: atomic_creative_id
          in: path
          description: _
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                response:
                  value:
                    data:
                      ad_format: DISPLAY
                      advertiser_id: 214138
                      approval_status: APPROVED
                      built: false
                      built_by_user_id: 26802
                      concept_id: 2502139
                      created_on: 2019-12-16T15:03:12+0000
                      entity_type: atomic_creative
                      expansion_direction: NONRESTRICTED
                      expansion_trigger: MOUSEOVER
                      external_identifier: STUB
                      file_type: vast
                      has_sound: false
                      height: 0
                      id: 7445839
                      is_https: true
                      is_mraid: false
                      is_multi_creative: false
                      last_modified: 2019-12-16T15:03:14+0000
                      last_payload_modified: 2019-12-16T15:03:13+0000
                      media_type: video
                      name: test_vpaid_3
                      rich_media: false
                      sizmek_creative_status: NOT_USED
                      sizmek_tag_status: NOT_USED
                      status: true
                      t1as: false
                      tag: <div>DUMMY_VAST</div>
                      tag_type: SCRIPT_NOSCRIPT
                      tpas_ad_tag_name: unknown.stub
                      updated_on: 2019-12-16T15:03:14+0000
                      vast_version: 2
                      version: 2
                      width: 0
                    meta:
                      called_on: 2019-12-16T16:51:26+0000
                      etag: 54fe81494915c471b811661e4c860285a1e67a95
                      status: ok
                    uuid: 4CD39DF8-2024-11EA-BCBC-7100712346FC
        '404':
          description: ''
        '503':
          description: ''
  /static_data/v1.0/iab_attributes/{id}:
    get:
      tags:
        - IAB
      summary: Get IAB Attribute
      description: Get IAB Attribute
      operationId: Get-IAB-Attribute
      parameters:
        - name: id
          in: path
          description: ID
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                response:
                  value:
                    children: []
                    id: 14
                    name: Windows Dialog or Alert Style
                    parent: 0
  /video/v2.0/creatives/{video_id}/vast:
    get:
      tags:
        - Video Creative Management
      summary: Get Video creative VAST XML
      description: This get endpoint returns an XML of video creative instead of a JSON
      operationId: Get-Video-creative-VAST-XML
      parameters:
        - name: video_id
          in: path
          description: _
          required: true
          schema:
            type: integer
      responses:
        '200':
          description: ''
        '404':
          description: ''
        '503':
          description: ''
  /video/v2.0/creatives/{video_id}/vast/extension:
    post:
      tags:
        - Video Creative Management
      summary: Update creative VAST with Extension node
      description: >-
        POST Request: Header with Content-Type: application/xml, body with XML
        tag as mentioned in desription
      operationId: Update-creative-VAST-with-Extension-node
      parameters:
        - name: video_id
          in: path
          description: _
          required: true
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              examples:
                response:
                  value:
                    status:
                      code: ok
        '404':
          description: ''
        '503':
          description: ''
tags:
  - name: ''
    description: _
  - name: Classification
    description: _
  - name: IAB
    description: _
  - name: Video Creative Management
    description: _
servers:
  - url: https://t1.mediamath.com
components:
  parameters:
    trait_cookieAuth_Cookie:
      name: Cookie
      in: header
      description: _
      required: true
      schema:
        type: string
        default: adama_session=<<sessionid>>
    trait_jsonResponse_Accept:
      name: Accept
      in: header
      description: _
      required: false
      schema:
        type: string
        default: application/vnd.mediamath.v1+json
    trait_oAuth2Jwt_Authorization:
      name: Authorization
      in: header
      description: >-
        The OAuth2 token. See
        https://mediamath-auth.api-docs.io/v2/oauth2/oauth2-api-access for more
        information.
      required: true
      schema:
        type: string
        pattern: Bearer .*
    trait_limit_page_limit:
      name: page_limit
      in: query
      description: _
      required: false
      schema:
        type: integer
        minimum: 1
        maximum: 100
    trait_limit_page_offset:
      name: page_offset
      in: query
      description: Index of the first element in the collection to retrieve
      required: false
      schema:
        type: integer
    trait_querying_q:
      name: q
      in: query
      description: _
      required: false
      schema:
        type: string
    trait_returnAdditionalEntityProperties_full:
      name: full
      in: query
      description: >-
        To include all properties for all entities returned by the API call, use
        `full=*:`
      required: false
      schema:
        type: string
        default: ''
    trait_returnAdditionalEntityProperties_with:
      name: with
      in: query
      description: _
      required: false
      schema:
        type: string
    trait_sorting_sort_by:
      name: sort_by
      in: query
      description: name
      required: false
      schema:
        type: string
  requestBodies:
    POST_video-v2-0-creatives-video_id-companionsBody:
      content:
        application/json:
          schema: {}
      description: _
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: https://auth.mediamath.com
          scopes: {}
